<script setup>
// 需要进行 token 判断的页面路径
const protectedPages = [
  'pages/example',
  'pages/history_query',
  'pages/inquire',
  'pages/report',
  'pages/result',
]

// 路由守卫的逻辑
function checkToken() {
  // 获取当前页面的路径
  const pages = getCurrentPages()
  const currentPage = pages[pages.length - 1].route
  // 判断当前页面是否需要进行 token 检查
  if (protectedPages.includes(currentPage)) {
    // 获取缓存中的 token
    const token = uni.getStorageSync('token')

    // 如果没有 token 且当前页面不是登录页面，跳转到登录页面
    if (!token && currentPage !== 'pages/login') {
      uni.navigateTo({
        url: '/pages/login',
      })
    }
  }
}

// 页面加载完成时检查 token
onLoad(() => {
  checkToken()
})
</script>

<template>
  <slot />
</template>

<style scoped>
/* 在此添加您的样式 */
</style>
